using Microsoft.EntityFrameworkCore;
using System;

namespace ScrumTaskboard
{
    public class TaskContext : DbContext 
    {
        public DbSet<ScrumTask> Tasks { get; set; }
        public DbSet<ScrumUserstory> Userstories { get; set; }
        public DbSet<ScrumCategory> Categories { get; set; }

        public TaskContext() { }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=nig.gl; Port=8543; Username=scrum; Database=taskboard; Password=c6gXud7YvBWp2sgxSgy4wRN");
        }

        public TaskContext(DbContextOptions<TaskContext> options) : base(options) { }
    }

    public class ScrumTask
    {
        public int id { get; set; }
        public string title { get; set; }
        public string content { get; set; }
        public int status { get; set; }
        public int category { get; set; }
        public int assignedto { get; set; }
        public int sprint { get; set; }
        public int project { get; set; }
        public int userstory { get; set; }
    }

    public class ScrumUserstory
    {
        public int id { get; set; }
        public string title { get; set; }
        public string content { get; set; }
        public int priority { get; set; }
        public int status { get; set; }
        public int category { get; set; }
        public int createdby { get; set; }
        public int project { get; set; }
    }

    public class ScrumCategory
    {
        public int id { get; set; }
        public string title { get; set; }
        public string description { get; set; }
        public string color { get; set; }
        public int project { get; set; }
    }
}
